Mailinglist Archive: opensuse-factory (764 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20151106 released!
Changed packages:

==== ModemManager ====
Version update (1.4.10 -> 1.4.12)
Subpackages: ModemManager-devel libmm-glib0 typelib-1_0-ModemManager-1_0

- Update to version 1.4.12:
+ MBM:
- Implemented GPS support for Ericsson modems.
- Enabled GPS port for H5321gw and HS2350.
+ Telit:
- Added udev rules for HE910/UE910/UL865.
- Implemented dynamic port identification.
+ QMI:
- Expose IP config details in bearer object even if DHCP is
requested.
- Retrieve MM_MODEM_3GPP_FACILITY_SIM.
+ MBIM: CDMA capabilities disabled by default (not yet
supported).
+ libmm-glib:
- If empty path (/) given, no SIM object will be created.
- Added missing introspection annotations to disconnect().
+ Core:
- Don't check the cache when explicitly asking for required
unlocks.
- Initialize SMS messaging support also in the secondary port.
- New +CGMR parser which covers the Telit HE910 specific
format.
- New AT-based generic implementation for the Time interface.
- Fix reporting DENIED state in 3GPP modems.
+ Policy: remove rule which was preventing us from receiving
signals.
+ Blacklist: ignored MediaTek preloader.
+ Misc. other minor fixes

==== aaa_base ====
Version update (13.2+git20150625.4df5033 -> 13.2+git20151027.ca4b24d)
Subpackages: aaa_base-extras

- suse.de-backup-rc.config: trigger also if only files changed
that have spaces in their name (bnc#915259)
- sysconf_addword: do not insert spaces at start of string (bnc#932456)
- Merge pull request #19 from super7ramp/cleaning-references-to-suseconfig
- drop references to sysconfig/suseconfig
- drop SCANNER_TYPE variable

==== acpica ====

- add support for kernel 4.3+ (boo#953599)

==== apache2 ====
Subpackages: apache2-devel apache2-doc apache2-example-pages apache2-prefork
apache2-utils

- do not build mod_http2 for older distros than 13.2 for now (nghttp2
does not build there)
- Include directives really into /etc/apache2/sysconfig.d/include.conf,
fix from Erik Wegner [bsc#951901]
- gensslcert: CN now defaults to `hostname -f` [bnc#949766]
(internal), fix help [bnc#949771] (internal)

==== at-spi2-core ====
Subpackages: at-spi2-core-devel libatspi0 typelib-1_0-Atspi-2_0

- Disable xevie when configuring (boo#952011).

==== bin86 ====
Version update (0.16.17 -> 0.16.21)

- Update to version 0.1621
* The changelog has not been updated for this version and previous
ones
- Update to version 0.16.20
* The changelog has not been updated for this version and previous
ones
- Update dev86-0.16.17.dif > dev86-0.16.20.dif

==== digikam ====
Version update (4.13.0 -> 4.14.0)
Subpackages: kipi-plugins kipi-plugins-acquireimage kipi-plugins-geolocation

- update to 4.14.0
digikam:
- General: Add support of OpenCV 3.x.
- General: Overlay icons are resized accordingly with thumbnails sizes.
- General: New Overlay icon to quickly show an image in full-screen.
- General: Exiv2 mininum version bumped to 0.25 to prevent crash with
video files.
- kde#349601 - digikam compile fine with OpenCV 2.X but not with 3.x.
- kde#261568 - ICONVIEW: scale overlay action icons accordingly with
thumb size.
- kde#336331 - Thumbnails size can not be changed in MapView mode.
- kde#339082 - Allow a simpler way to place a photo in full-screen using
overlay.
- kde#352338 - Digikam doesn't match Nikon lenses 35mm f/1.8G and
50mm f/1.8G.
- kde#126149 - Album icon view stores both jpeg and raw (nef), handle
both as one.
- kde#352919 - Crash on delete into image editor.
- kde#341819 - Auto-creation of date-based sub-albums ignored.
- kde#353155 - Apply face tags to multiple images.
- kde#237719 - Color effects: Neon / Find edges don't take parameters
correctly.
- kde#340373 - Crash on scanning video directory.
- kde#285052 - SCAN: moving an album from one collection to another one
do not update information.
- kde#353600 - Wrong date (1970-01-01) on rename during raw import from
Nikon D750.
- kde#353614 - Crash shortly after opening application.
- kde#141592 - Position of inserted text is not exact.
- kde#353608 - The preview has blocky artifacts reminiscent of chroma
subsampling.
- kde#286373 - DNG don't get filtered as raw (group of items relevant).
- kde#181813 - digiKam text decoration font size problem.
- kde#353815 - Using Batch Queue Manager to extract preview images loses
metadata.
kipi-plugins:
- General: Add support of OpenCV 3.x
- kde#306442 - digiKam 2.8 crash when opening geolocation plugin.
- kde#352596 - Unable to upload large image to flickr even though I'm
resizing it.
- kde#352621 - Export to facebook crashes.
- kde#352862 - Photos are compressed when exported to picasa.
- kde#352750 - Facebook export: Filename is used as Description.
- remove digikam-4.6.0.install-libs-dev.patch (libs not packaged anymore)
- remove digikam-4.8.0-libkgeomap-translations.tar.bz2 (libs not packaged
anymore)
- remove support for MediaWiki export (libmediawiki not packaged anymore)

==== dolphin ====
Subpackages: dolphin-part libdolphinvcs5

- Added allow-home-directories-with-non-local-file-paths.patch
(boo#950883, kde#352743, kde#353550)

==== drbd-utils ====

- BSC#949045. Remove execute of drbd.service.
- Add patch service-mod.patch

==== dtv-scan-tables ====

- fix build against Leap in vdr project

==== libavcodec56 ====
Version update (2.8 -> 2.8.1)
Subpackages: libavformat56 libavutil54 libswresample1

- Update to new upstream release 2.8.1
* Minor bugfix release
* Includes all changes from. Ffmpeg-mt,
libav master of 2015-08-28, libav 11 as of 2015-08-28
- Add ffmpeg-mov-sidx-fragment.patch to add sidx fragment indexes.
Needed for new mpv release.

==== gjs ====
Version update (1.43.3 -> 1.44.0)
Subpackages: libgjs0 typelib-1_0-GjsPrivate-1_0

- Update to version 1.44.0:
+ Add Lang.Interface and GObject.Interface (bgo#751343,
bgo#752984).
+ Support callbacks with (transfer full) return types
(bgo#750286).
+ Add binding for setlocale() (bgo#753072).
+ Improve support to generate code coverage reports (bgo#743009,
bgo#743007, bgo#742362, bgo#742535, bgo#742797, bgo#742466,
bgo#751732).
+ Report errors from JS property getters/setters (bgo#730101).
+ Fix crash when garbage collection triggers while inside an init
function (bgo#742517).
+ Port to CallReceiver/CallArgs (bgo#742249).
+ Misc bug fixes (bgo#736979, bgo#753072, bgo#750688).

==== gmp-devel ====
Version update (6.0.0a -> 6.1.0)
Subpackages: libgmp10 libgmp10-32bit libgmpxx4

- Update to GMP 6.1.0 release.
* New C++ functions gcd and lcm for mpz_class
* New public mpn functions mpn_divexact_1, mpn_zero_p, and mpn_cnd_swap
* New public mpq_cmp_z function, to efficiently compare rationals with
integers
* Support for more 32-bit arm processors
* Support for AVX-less modern x86 CPUs
* Speedups and bugfixes
- Includes gmp-6.0.0-ppc64-gcd.diff, now removed
- Update gmp keyring

==== gnome-keyring ====
Version update (3.18.2 -> 3.18.3)
Subpackages: gnome-keyring-32bit gnome-keyring-pam gnome-keyring-pam-32bit
libgck-modules-gnome-keyring

- Update to version 3.18.3:
+ Fix regression looking up secrets in non-default keyring
(bgo#756865).
+ Fix manpage typos (bgo#756812).
+ Updated translations.
- Drop
gnome-keyring-dbus-handle-alias-paths-in-lookup_collection.patch:
Fixed upstream.

==== gnome-session ====
Subpackages: gnome-session-core gnome-session-default-session
gnome-session-wayland

- Drop pkgconfig(gconf-2.0) BuildRequires and pass --disable-gconf
to configure to be sure it's not enabled during build. It was
only present to support gconf-based autostart.

==== gnome-shell-search-provider-gnome-terminal ====
Subpackages: gnome-terminal nautilus-extension-terminal

- Drop gconf2 Requires(pre), and pass --disable-migration to
configure. We do not expect any holdouts to migrate any longer.
- Stop running autoreconf as patches are already disabled.

==== grub2 ====
Subpackages: grub2-i386-pc grub2-snapper-plugin grub2-systemd-sleep-plugin
grub2-x86_64-efi grub2-x86_64-xen

- Modify grub2-linguas.sh-no-rsync.patch to re-enable en@quot catalog
(boo#953022). Other autogenerated catalogs still fail to build due
to missing C.UTF-8 locale.
- Allow to execute menuentry unrestricted as default (fate#318574)
* added grub2-menu-unrestricted.patch
- Add missing quoting for linuxefi (bsc#951962)
* modified grub2-secureboot-use-linuxefi-on-uefi.patch
* refreshed grub2-secureboot-provide-linuxefi-config.patch

==== libgsound0 ====
Version update (1.0.1 -> 1.0.2)

- Update to version 1.0.2:
+ build:
- Fix ChangeLog generation.
- Use (much) more strict warning flags.
- Fix configure.ac slightly.
- Don't use deprecated gnome-autogen.sh.
- Remove unnecessary Vala dependency on libcanberra.
+ admin: Fix typos in README.md.
+ docs: document the object struct.

==== gtk3-data ====
Subpackages: gtk3-devel gtk3-immodule-amharic gtk3-immodule-inuktitut
gtk3-immodule-thai gtk3-immodule-vietnamese gtk3-immodule-xim gtk3-tools
libgtk-3-0 typelib-1_0-Gtk-3_0

- Add gtk3-places-sidebar-no-crash.patch: Do not crash if dragging
something over the places sidebar, that has no valid URI (mostly
coming from a host system into a guest system) (boo#952356,
bgo#757298).

==== ibus-pinyin ====

- Wlogical-not-parentheses.patch: fix -Wlogical-not-parentheses warning

==== inst-source-utils ====
Version update (2014.3.18 -> 2015.10.27)

- mk_listings: set LC_CTYPE (bnc#910388)
- ABXML.pm: add endoflife in product structure

==== install-initrd-openSUSE ====
Version update (14.204 -> 14.206)

- adjust module config
- 14.206
- Require iprutils only for Power 64 bit architectures
- include systemd-detect-virt (bsc#952397)
- 14.205

==== k3b ====

- Add fix-dvd-transcoding.patch: Fix transcoding of DVD titles
(kde#350403)

==== kernel-default ====
Version update (4.2.4 -> 4.3.0)
Subpackages: kernel-default-devel

- rpm/kernel-binary.spec.in: sync with master
- commit 7b374a4
- Update to 4.3-final.
- 1 patch eliminated.
- commit e20b856
- rpm/kernel-binary.spec.in: really pass down %{?_smp_mflags}
- commit 273a7fb
- ALSA: hda - Disable 64bit address for Creative HDA controllers
(bnc#814440).
- commit 1b5a73d
- Linux 4.2.5.
- commit 27d2719
- rpm/kernel-binary.spec.in: Use parallel make in all invocations
Also, remove the lengthy comment, since we are using a standard rpm
macro now.
- commit 4d6ba88
- rpm/kernel-binary.spec.in: Delete one more DEBUG_SECTION_MISMATCH assignment
- commit fce45dc
- rpm/kernel-binary.spec.in: Do not explicitly set DEBUG_SECTION_MISMATCH
CONFIG_DEBUG_SECTION_MISMATCH is a selectable Kconfig option since
2.6.39 and is enabled in our configs.
- commit 15aa4f8

==== kernel-docs ====
Version update (4.2.4 -> 4.3.0)

- rpm/kernel-binary.spec.in: sync with master
- commit 7b374a4
- Update to 4.3-final.
- 1 patch eliminated.
- commit e20b856
- rpm/kernel-binary.spec.in: really pass down %{?_smp_mflags}
- commit 273a7fb
- ALSA: hda - Disable 64bit address for Creative HDA controllers
(bnc#814440).
- commit 1b5a73d
- Linux 4.2.5.
- commit 27d2719
- rpm/kernel-binary.spec.in: Use parallel make in all invocations
Also, remove the lengthy comment, since we are using a standard rpm
macro now.
- commit 4d6ba88
- rpm/kernel-binary.spec.in: Delete one more DEBUG_SECTION_MISMATCH assignment
- commit fce45dc
- rpm/kernel-binary.spec.in: Do not explicitly set DEBUG_SECTION_MISMATCH
CONFIG_DEBUG_SECTION_MISMATCH is a selectable Kconfig option since
2.6.39 and is enabled in our configs.
- commit 15aa4f8

==== kernel-pv-devel ====
Version update (4.2.4 -> 4.3.0)

- rpm/kernel-binary.spec.in: sync with master
- commit 7b374a4
- Update to 4.3-final.
- 1 patch eliminated.
- commit e20b856
- rpm/kernel-binary.spec.in: really pass down %{?_smp_mflags}
- commit 273a7fb
- ALSA: hda - Disable 64bit address for Creative HDA controllers
(bnc#814440).
- commit 1b5a73d
- Linux 4.2.5.
- commit 27d2719
- rpm/kernel-binary.spec.in: Use parallel make in all invocations
Also, remove the lengthy comment, since we are using a standard rpm
macro now.
- commit 4d6ba88
- rpm/kernel-binary.spec.in: Delete one more DEBUG_SECTION_MISMATCH assignment
- commit fce45dc
- rpm/kernel-binary.spec.in: Do not explicitly set DEBUG_SECTION_MISMATCH
CONFIG_DEBUG_SECTION_MISMATCH is a selectable Kconfig option since
2.6.39 and is enabled in our configs.
- commit 15aa4f8

==== kernel-devel ====
Version update (4.2.4 -> 4.3.0)
Subpackages: kernel-macros kernel-source

- rpm/kernel-binary.spec.in: sync with master
- commit 7b374a4
- Update to 4.3-final.
- 1 patch eliminated.
- commit e20b856
- rpm/kernel-binary.spec.in: really pass down %{?_smp_mflags}
- commit 273a7fb
- ALSA: hda - Disable 64bit address for Creative HDA controllers
(bnc#814440).
- commit 1b5a73d
- Linux 4.2.5.
- commit 27d2719
- rpm/kernel-binary.spec.in: Use parallel make in all invocations
Also, remove the lengthy comment, since we are using a standard rpm
macro now.
- commit 4d6ba88
- rpm/kernel-binary.spec.in: Delete one more DEBUG_SECTION_MISMATCH assignment
- commit fce45dc
- rpm/kernel-binary.spec.in: Do not explicitly set DEBUG_SECTION_MISMATCH
CONFIG_DEBUG_SECTION_MISMATCH is a selectable Kconfig option since
2.6.39 and is enabled in our configs.
- commit 15aa4f8

==== kernel-syms ====
Version update (4.2.4 -> 4.3.0)

- rpm/kernel-binary.spec.in: sync with master
- commit 7b374a4
- Update to 4.3-final.
- 1 patch eliminated.
- commit e20b856
- rpm/kernel-binary.spec.in: really pass down %{?_smp_mflags}
- commit 273a7fb
- ALSA: hda - Disable 64bit address for Creative HDA controllers
(bnc#814440).
- commit 1b5a73d
- Linux 4.2.5.
- commit 27d2719
- rpm/kernel-binary.spec.in: Use parallel make in all invocations
Also, remove the lengthy comment, since we are using a standard rpm
macro now.
- commit 4d6ba88
- rpm/kernel-binary.spec.in: Delete one more DEBUG_SECTION_MISMATCH assignment
- commit fce45dc
- rpm/kernel-binary.spec.in: Do not explicitly set DEBUG_SECTION_MISMATCH
CONFIG_DEBUG_SECTION_MISMATCH is a selectable Kconfig option since
2.6.39 and is enabled in our configs.
- commit 15aa4f8

==== kernel-xen ====
Version update (4.2.4 -> 4.3.0)
Subpackages: kernel-xen-devel

- rpm/kernel-binary.spec.in: sync with master
- commit 7b374a4
- Update to 4.3-final.
- 1 patch eliminated.
- commit e20b856
- rpm/kernel-binary.spec.in: really pass down %{?_smp_mflags}
- commit 273a7fb
- ALSA: hda - Disable 64bit address for Creative HDA controllers
(bnc#814440).
- commit 1b5a73d
- Linux 4.2.5.
- commit 27d2719
- rpm/kernel-binary.spec.in: Use parallel make in all invocations
Also, remove the lengthy comment, since we are using a standard rpm
macro now.
- commit 4d6ba88
- rpm/kernel-binary.spec.in: Delete one more DEBUG_SECTION_MISMATCH assignment
- commit fce45dc
- rpm/kernel-binary.spec.in: Do not explicitly set DEBUG_SECTION_MISMATCH
CONFIG_DEBUG_SECTION_MISMATCH is a selectable Kconfig option since
2.6.39 and is enabled in our configs.
- commit 15aa4f8

==== kiwi-config-openSUSE ====

- Rebase kiwi-config-openSUSE.changes: xdm's display-manager
received a minor fix.

==== krb5 ====
Subpackages: krb5-32bit krb5-client krb5-devel

- Make kadmin.local man page available without having to install krb5-client.
bsc#948011
- Apply patch 0100-Fix-build_principal-memory-bug-CVE-2015-2697.patch
to fix build_principal memory bug [CVE-2015-2697] bsc#952190
- Apply patch 0101-Fix-IAKERB-context-aliasing-bugs-CVE-2015-2696.patch
to fix IAKERB context aliasing bugs [CVE-2015-2696] bsc#952189
- Apply patch 0102-Fix-SPNEGO-context-aliasing-bugs-CVE-2015-2695.patch
to fix SPNEGO context aliasing bugs [CVE-2015-2695] bsc#952188

==== ktux ====
Version update (15.08.1 -> 15.08.2)

- Update to KDE Applications 15.08.2
* KDE Applications 15.08.2
* https://www.kde.org/announcements/announce-applications-15.08.2.php

==== less ====
Version update (458 -> 481)

- less 481:
* Don't overwrite history file; just append to it. This behaves
better when multiple sessions are running less simultaneously
and using the same history file.
* New command ESC-G goes to end of currently buffered data in a
pipe.
* Disable history feature when compiled with LESSHISTFILE set to
"-".
* In more-compatible mode, make the -p option apply to every file
opened, not just the first one.
* In more-compatible mode, change the -e option to work like -E,
not -EF.
* Treat multiple CRs before LF are like one CR (all the CRs are
hidden).
* Allow "extra" string in lesskey file to append to a multi-char
command (like a search pattern), without executing the command.
* Ignore -u/-U setting while viewing help file, so that underline
and bold chars are displayed correctly.
* Improve detection of "binary" files in UTF-8 mode.
* Fix bug with ++ commands.
* Fix bug where prompt was sometimes not displayed with +G.
* Fix possible memory corruption
* Fix bugs and improve performance in ampersand filtering.
* Allow %% escape sequence in LESSOPEN variable.
* Automate construction of Unicode tables from Unicode database.
- add keyring and verify source signature
- drop upstream patches:
* less-458-out_of_bounds_read.patch
* less-fix_crash_in_hilite_line.patch

==== libcroco-0_6-3 ====
Version update (0.6.8 -> 0.6.9)

- Update to version 0.6.9:
+ Added Visual Studio projects.
+ Lots of warnings fixed.
+ Improve build system.
+ Misc bug fixes.

==== libinput-devel ====
Version update (1.0.1 -> 1.0.2)
Subpackages: libinput-udev libinput10

- Update to version 1.0.2:
* This release contains two tapping fixes. A multitap (triple
tap, quadruple tap, ...) caused one too many click events,
particularly noticable during a double-tap-and-hold dragging
process.
* The second fix avoids erroneous click events when two fingers
are placed on the touchpad and one finger is released within
the tap timeout. This can happen when executing short but
frequent two-finger scroll movements.

==== libmtp-devel ====
Subpackages: libmtp9

- Split udev rules to separate package

==== libvirt ====
Version update (1.2.20 -> 1.2.21)
Subpackages: libvirt-client libvirt-daemon libvirt-daemon-config-network
libvirt-daemon-config-nwfilter libvirt-daemon-driver-interface
libvirt-daemon-driver-libxl libvirt-daemon-driver-lxc
libvirt-daemon-driver-network libvirt-daemon-driver-nodedev
libvirt-daemon-driver-nwfilter libvirt-daemon-driver-qemu
libvirt-daemon-driver-secret libvirt-daemon-driver-storage
libvirt-daemon-driver-uml libvirt-daemon-driver-vbox libvirt-daemon-lxc
libvirt-daemon-qemu libvirt-daemon-xen

- Detect path of qemu-bridge-helper during %configure
- add qemu-tools as BuildRequires for suse_version > 1130
- add upstream patch 703ec1b7-qemu-bridge-helper-fix.patch
- Update to libvirt 1.2.21
- Many incremental improvements and bug fixes, see
http://libvirt.org/news.html
- Dropped patches:
disable-virCgroupGetPercpuStats-test.patch
- spec: some minor wireshark fixups. Essentially a backport of
commit 7c8250d7.

==== libxkbcommon-devel ====
Subpackages: libxkbcommon-x11-0 libxkbcommon0

- Requires xkeyboard-config, bsc#952403
* libxkbcommon should brings xkeyboard-config together always as
libxkbcommon does not distribute xkb data itself, and especially
requires xkeyboard-config for any rely on libxkbcommon in the
minimal system.

==== memtest86+ ====

- Remove unnecessary cdrkit BuildRequire dependency

==== libsnmp30-32bit ====

- Request pkgconfig(libssl) instead of openssl-devel to support
using LibreSSL as well.
- update to upstream version 5.7.3
- remove patch that is now present in the upstream release:
* net-snmp-5.7.2-fix-snmptrapd-remote-denial-of-service.patch
- rename patches to new version number 5.7.3:
delete:
* net-snmp-5.7.2-fix-snmpd-crashing-when-an-agentx-disconnects.patch
* net-snmp-5.7.2-net-snmp-config-headercheck.patch
* net-snmp-5.7.2-perl-tk-warning.patch
* net-snmp-5.7.2-pie.patch
* net-snmp-5.7.2-socket-path.patch
* net-snmp-5.7.2-testing-empty-arptable.patch
* net-snmp-5.7.2-velocity-mib.patch
add:
* net-snmp-5.7.3-fix-snmpd-crashing-when-an-agentx-disconnects.patch
* net-snmp-5.7.3-net-snmp-config-headercheck.patch
* net-snmp-5.7.3-perl-tk-warning.patch
* net-snmp-5.7.3-pie.patch
* net-snmp-5.7.3-socket-path.patch
* net-snmp-5.7.3-testing-empty-arptable.patch
* net-snmp-5.7.3-velocity-mib.patch
- add build requirement 'procps' to fix a net-snmp-config error
(bsc#935863)
- enable DTLS and TLS support (FATE#318789)
new binary 'snmptls' was added
- add support for hostname netgroups (FATE#316305)
'@hostgroup' can be specified for multiple hosts
* net-snmp-5.7.3-netgroups.patch
- suppress network statistics output in snmpstatus (FATE#316289)
'-Sn' don't print any info about the network
'-Si' don't print the operational status of network interfaces
* net-snmp-5.7.3-snmpstatus-suppress-output.patch
- also stop snmptrapd on removal
- update to upstream version 5.7.3.pre5
- remove patches that are now present in the upstream release:
* net-snmp-5.7.2-build-fix-for-strlcat.patch
* net-snmp-5.7.2-fix-mib-representation-of-timeout-values.patch
* net-snmp-5.7.2-fix-perl-trap-handler.patch
- net-snmp-5.7.2-fix-snmptrapd-remote-denial-of-service.patch:
refresh and add patch header
- added net-snmp-5.7.2-fix-snmptrapd-remote-denial-of-service.patch:
fix remote denial of service problem inside snmptrapd when started
with the "-OQ" option (CVE-2014-3565)(bnc#894361)
- added net-snmp-5.7.2-fix-perl-trap-handler.patch: fix potential
remote denial of service problem inside the snmptrapd Perl trap
handler (CVE-2014-2285)(bnc#866942)
- merge some old fixes from SLE 11:
* init script should provide snmpd. (bnc#466805)
* stop all snmp agents when stopping the daemon. (bnc#473328)
- recompress .tar.gz - it has trailing garbage, hope we can readd
source url on next update
- update to upstream version 5.7.2.1, fixing one security issue:
* A denial of service attack vector was discovered on the Linux
implementation of the ICMP-MIB. (CVE-2014-2284, bnc#866942)
- net-snmp-5.7.2-fix-mib-representation-of-timeout-values.patch:
fix mib representation of timeout values (bnc#833153)
- use _rundir macro
- remove old workaround for ppc/ppc64 migrations which is no longer
needed (bnc#437293)
- add support for python bindings
- improve snmptrapd init script (avoid to overwrite the logfile
on restart)
- Disable parallelism during build. The dependencies between the
Perl module and libnetsnmp are not defined correctly and might
result in broken linkage (bnc#819497, bnc#818907)
- Add Source URL, see https://en.opensuse.org/SourceUrls
- net-snmp-5.7.2-build-fix-for-strlcat.patch: fix exported strlcat()
prototype that could conflict with other packages (bnc#793548)
- update to version 5.7.2: several bug fixes in the agent, client
utilities and libraries. The CHANGES file shipped with the
package contains a comprehensive list of fixes and improvements
- rebase patches to apply cleanly:
* net-snmp-5.7.2-perl-tk-warning.patch
* net-snmp-5.7.2-socket-path.patch
* net-snmp-5.7.2-testing-empty-arptable.patch
* net-snmp-5.7.2-pie.patch
* net-snmp-5.7.2-velocity-mib.patch
* net-snmp-5.7.2-fix-snmpd-crashing-when-an-agentx-disconnects.patch
- remove patches that are now present in the upstream release:
* net-snmp-5.7.0-recognize-reiserfs.patch
* net-snmp-5.7.1-snmplib-zero-timeout.patch
* net-snmp-5.7.1-old-api-double-free.patch
* net-snmp-5.7.1-use-pclose-to-close-pipes.patch
* net-snmp-5.7.1-fix-handling-of-large-filesystems.patch
* net-snmp-5.7.1-snmplib-default-retries.patch
* net-snmp-5.7.1-fsys-memory-leak.patch
* net-snmp-5.7.1-adjust-copyright-in-agent-txt-file.patch
* net-snmp-5.7.1-recognize-ocfs2.patch
* net-snmp-5.7.1-properly-clean-up-old-requests-in-subagents.patch
* net-snmp-5.7.1-reduce-code-duplication-in-agentx.patch
* net-snmp-5.7.1-log-agentx-disconnections.patch
* net-snmp-5.7.1-more-robust-handling-of-agentx-errors.patch
* net-snmp-5.7.1-report-problems-with-setundo-processing.patch
* net-snmp-5.7.1-fix-array-index-error.patch
- Remove redundant sections from specfile
- Avoid shipping .la files
- fix array index error that could lead to a crash (CVE-2012-2141)
(bnc#759352)
- fix agent crash when reloading a subagent (AgentX) during a query
(bnc#670789)
- add OCFS2 to the list of known file systems
- update copyright notice of AGENT.txt allowing us to redistribute
the file in our package (from Dave Shield) (bnc#750704)
- fix license to be in spdx.org format
- logrotate: use "reload" instead of "try-restart" to avoid an
unnecessary stop/start cycle in the agent (bnc#707636)
- net-snmp-5.7.1-fsys-memory-leak.patch: fix a memory leak in
agent/mibgroup/hardware/fsys (bnc#725766)
- net-snmp-5.7.1-snmplib-default-retries.patch: change default
number of retries back from 0 to 5 (bnc#725766)
- net-snmp-5.7.1-fix-handling-of-large-filesystems.patch: fix
bug in handling large (>8TB) filesystems (bnc#725766)
- net-snmp-5.7.1-use-pclose-to-close-pipes.patch: use pclose()
instead of fclose() to close a pipe (bnc#725766)
- net-snmp-5.7.1-old-api-double-free.patch: agent: avoid double
free when netsnmp_register_old_api() fails (bnc#725766)
- net-snmp-5.7.1-snmplib-zero-timeout.patch: snmplib: avoid
waiting indefinitely if a session has timeout zero (bnc#725766)
- update to version 5.7.1: minor release including some bug fixes
- enable net-snmp-devel on all baselib architectures
- make sure all delegated requests are removed before closing an
AgentX session (bnc#670789)
- update to version 5.7.1.rc1 but keep package version as 5.7.1
to avoid update problems when the final version is released
- small fixes to snmpd and snmptrapd init scripts:
- if $SNMPD_LOGLEVEL is not defined, use LOG_NOTICE instead of
LOG_DEBUG
- improve messages printed and service description
- write snmptrapd logs to /var/log/net-snmpd.log
- update README.SUSE to reflect some recent changes and drop a bit
of outdated information
- update baselibs to reflect new library version
- spec file cleanup: rename some source files for consistency
- add ReiserFS to the list of known file systems (bnc#715199)
- install snmptrapd init script by default (bnc#712175)
- fix logging option in snmptrapd init script (bnc#712174)
- update upstream patches from branch V5-7-patches to 20110714
- update to version 5.7:
new features and lots of bug fixes
- remove patches that are no longer needed:
net-snmp-5.6.0-enable-hrh-filesys.patch
net-snmp-5.6.1-recognize-jfs-and-xfs.patch
net-snmp-5.6.1-rpm490.patch
- refresh and rename patches to apply cleanly after update:
net-snmp-5.7.0-pie.patch
net-snmp-5.7.0-velocity-mib.patch
- switch from rpmdb to rpmts to support rpm-4.9.0
- update upstream patches from branch V5-6-patches to 20110512
- add JFS and XFS to the list of known file systems (bnc#687327)
- update upstream patches from branch V5-6-patches to 20110328
- fix libsnmp version in baselibs.conf
- update to version 5.6.1:
new features and lots of bug fixes
- update upstream patches from branch V5-6-patches to 20110104
- remove patches that are no longer needed:
net-snmp-5.6.0-ethtool-speed.patch
- remove /var/adm/perl-modules/net-snmp from the Perl module
- update upstream patches from branch V5-6-patches to 20101129
- spec file cleanup: upstream uses -fno-strict-aliasing by default
now
- remove patches that are no longer needed:
net-snmp-5.5.0-rpmdb-h-detect.patch
net-snmp-5.6.0-vendorperl.patch
- if-mib: add support for more speeds with ethtool (bnc#650558)
- update upstream patches from branch V5-6-patches to 20101101,
fixing a segmentation fault on shutdown (bnc#650282)
- enable new implementation of hrStorage and hrFilesys to fix
persistent indexes in FS and Storage tables (bnc#648364)
- update upstream patches from branch V5-6-patches to 20101021
- update to version 5.6:
new features and lots of bug fixes
- refresh and rename patches to apply cleanly after update:
net-snmp-5.6.0-pie.patch
net-snmp-5.6.0-vendorperl.patch
net-snmp-5.6.0-net-snmp-config-headercheck.patch
- update upstream patches from branch V5-5-patches to 20100803
- change default log level from DEBUG to NOTICE (bnc#623497)
- spec file cleanup: remove old backward compatibility scripts
- update upstream patches from branch V5-5-patches to 20100602:
fixed potential buffer overflow in parsing OIDs in config files
- update upstream patches from branch V5-5-patches to 20100531
- add net-snmp-5.5.0-rpmdb-h-detect.patch:
workaround for autoconf failing to detect rpm/rpmdb.h
- remove patches that are no longer needed:
net-snmp-5.5.0-use-lmsensors-v3.patch
- create /var/run/agentx during startup to support systems that
mount /var/run as tmpfs
- update libsnmp package name to reflect the library version we
are currently shipping
- remove patches that are obsolete:
net-snmp-5.4.rc2-versinfo.diff
net-snmp-5.4.2_snmpconf-selinux.patch
- refresh all patches to apply as "-p1"
- spec file cleanup: remove conditionals to build on unsupported
versions of the distribution
- update upstream patches from branch V5-5-patches to 20100428
- add net-snmp-5.5.0_upstream-20100405.patch:
merge all patches committed to upstream branch V5-5-patches
- remove patches that are now upstream:
net-snmp-5.4.2_audit.patch
net-snmp-5.5.0_autoconf.patch
net-snmp-5.4.2_overflow.patch
net-snmp-5.4.2.1-rpm4.7.patch
net-snmp-5.5.0_gcc45.patch
- Fix strncat properly (from Andreas Jaeger)
- Fix code errors found by gcc 4.5
- build for libsensors4 instead of libsensors3
- remove sparcv9-specific baselib exceptions (not needed)
- remove net-snmp-5.4.1.2-rmon-mib-revised_3.patch from sources
(upstream since 5.5)
- refresh net-snmp-5.5.0_autoconf.patch
- spec file cleanup: update package description
- update to version 5.5:
new features and lots of bug fixes, including:
- fix hrSWRunPath for processes other than init (bnc#486270)
- remove patches that are now upstream:
Add-Default-Router-Table-support.patch
Add-ICMP-Statistics-Tables-support.patch
Add-IPv6-Scope-Zone-Index.patch
Add-IPv6-support-on-Internet-Address-Translation-Tab.patch
Fix-for-IPv6-Interface-Table.patch
Fix-for-Internet-Address-Prefix-Table.patch
Fix-for-Internet-Address-Table.patch
Fix-for-tcpConnnectionTable-tcpListenerTable-udpEn.patch
Improve-IP-Statistics-tables.patch
net-snmp-5.3.0.1_trap-agent-addr_v2.patch
net-snmp-5.4.1.2-etherlike-mib-revised_4.patch
net-snmp-5.4.x_embedded_perl_error_message.patch
- add baselibs.conf as a source
- add baselib defs for SPARC
- Fix build with rpm 4.7 (net-snmp-5.4.2.1-rpm4.7.patch)
- make patch0 usage consistent

==== libnghttp2-14 ====
Version update (1.3.4 -> 1.4.0)

- Update to 1.4.0:
* lib: Don't always expect dynamic table size update.
* lib: Shrink to the minimum table size seen in local SETTINGS.
* lib: Add new error code NGHTTP2_ERR_PAUSE to send_data_callback.
* lib: Avoid excessive WINDOW_UPDATE queuing.
* lib: Return fatal error if flooding is detected to close
session immediately.
* lib: Return type of nghttp2_submit_trailer is int.
* lib: Don't send WINDOW_UPDATE with 0 increment.
* lib: Fix bug that headers in CONTINUATION were ignored after
HEADERS with padding.
* package: Use -fvisibility=hidden for internal functions.
* package: Show more information in configure summary.
* package: Add PIDFile directive to systemd service.
* package: Fix daemon upgrade when running under systemd.
* app: Compile with BoringSSL.
* nghttp: Allow multiple -c option occurrence, and take min and
last value.
* nghttpd: Fix leak when server failed to listen to given port.
* nghttpx: Add TLS dynamic record size behaviour command line
options.
* nghttpx: Reduce default timeouts for read sockets to 1m.
* nghttpx: Fix bug that PUT is replaced with POST.
* nghttpx: Change mruby script handling.
* nghttpx: Added support for RFC 7413 (TCP Fast Open) on nghttpx
proxy listening connections.
* nghttpx: Add neverbleed support.
* h2load: Don't DOS our server!
* h2load: Use duration syntax for timeouts.
* h2load: Support subsecond rate period.
* h2load: Simplify rate mode.
* h2load: Add option for user-definable rate period.
* h2load: Reuse SSL/TLS session.
* h2load: Reconnect server on connection: close.
* h2load: Don't exit in the case of no ALPN protocol overlap.
* integration: Update go's http2 package URI.
- Add missing baselibs.conf.
- Add nghttp2-1.4.0-fix-tests.patch from commit 4825009.
- Small spec cleanup.

==== libvmtools0 ====
Subpackages: open-vm-tools open-vm-tools-desktop

- Enable vgauth for openSUSE Leap 42.1 (bsc#952645)

==== perl-Module-Info ====
Version update (0.36 -> 0.37)

- updated to 0.37
see /usr/share/doc/packages/perl-Module-Info/Changes
0.37 2015-11-01 NEILB
- Added a has_pod() method, which returns the path to the file
containing the pod (it could be a .pod file), if there is one.
Thanks to YANICK for this.
- Listed NEILB as the current maintainer in the AUTHOR section.
Thanks again to YANICK.
- Added link to github repo to doc.

==== libpulse-devel ====
Version update (7.0 -> 7.1)
Subpackages: libpulse-mainloop-glib0 libpulse0 libpulse0-32bit pulseaudio
pulseaudio-bash-completion pulseaudio-esound-compat pulseaudio-module-bluetooth
pulseaudio-module-gconf pulseaudio-module-jack pulseaudio-module-lirc
pulseaudio-module-x11 pulseaudio-module-zeroconf pulseaudio-utils

- add libpulse-devel to baselibs.conf for use of 32bit biarch
wine builds on x86_64
- Update to 7.1
+ Fix a crasher when using srbchannel
+ Fix a build system typo that caused symlinks to turn up in /
+ Make Xonar cards work better
+ Other minor bug fixes and improvements
- remove 0003-alsa-mixer-Add-Dock-Line-Out-jack-handling-to-analog.patch
- remove 0002-alsa-mixer-Recognize-Dock-Line-Out-jack.patch
- remove pstream-Fix-use-after-free-in-srb_callback.patch

==== python-sip ====
Version update (4.16.9 -> 4.17)
Subpackages: python-sip-devel

- Update to 4.17.0
* This version adds support for PEP 465, PEP 492 and MSVC 2015.

==== python3-bottle ====
Version update (0.12.8 -> 0.12.9)

- update to version 0.12.9:
* Fix #720 : Allow unicode keys in ConfigDict.
* Prevent syntax errors when line-wrapping comprehensions

==== python3-setuptools ====
Version update (18.4 -> 18.5)

- update to version 18.5:
* In preparation for dropping support for Python 3.2, a warning is now
logged when pkg_resources is imported on Python 3.2 or earlier
Python 3 versions.
* `Add support for python_platform_implementation environment marker
<https://github.com/jaraco/setuptools/pull/28>`_.
* `Fix dictionary mutation during iteration
<https://github.com/jaraco/setuptools/pull/29>`_.

==== python3-simplejson ====
Version update (3.8.0 -> 3.8.1)

- update to version 3.8.1:
* Fix issue with iterable_as_array and indent option
https://github.com/simplejson/simplejson/issues/128
* Fix typo in keyword argument name introduced in 3.8.0
https://github.com/simplejson/simplejson/pull/123

==== python3-sip ====
Version update (4.16.9 -> 4.17)

- Update to 4.17.0
* This version adds support for PEP 465, PEP 492 and MSVC 2015.

==== libqscintilla-devel ====
Version update (2.9 -> 2.9.1)
Subpackages: libqscintilla2-12

- Update to 2.9.1
- This is primarily a bug-fix release.

==== release-notes-openSUSE ====
Version update (42.1.20151012 -> 42.1.20151028)

- 42.1.20151028:
- Changed entries: Warn about minimal install not having
yast or susefirewall (bsc#951866).
- 42.1.20151027:
- New entries: CUPS (bsc#951596); Warn about minimal install not having
yast or susefirewall (bsc#951866).
- Removed entries: grep update (bsc#932494); openSUSE Leap as Guest in
VirtualBox (bsc#952019).
- 42.1.20151023 (bsc#950877):
- Updating some texts and translations.
- 42.1.20151022 (bsc#950877):
- New entries: openSUSE Leap as Guest in VirtualBox (bsc#950877).

==== remmina ====
Subpackages: remmina-lang remmina-plugin-rdp remmina-plugin-vnc
remmina-plugin-xdmcp

- openSUSE_Leap 42.1: also apply the patch for vte-2.91.

==== libsvn_auth_gnome_keyring-1-0 ====
Subpackages: libsvn_auth_kwallet-1-0 subversion subversion-bash-completion
subversion-devel subversion-perl subversion-python subversion-server
subversion-tools

- Fix copy-and-paste error in Supplements for GNOME keyring
integration

==== libsystemd0 ====
Subpackages: libsystemd0-32bit libudev-devel libudev1 libudev1-32bit systemd
systemd-32bit systemd-bash-completion systemd-logger systemd-sysvinit udev

- enable seccomp for aarch64 (fate#318444)
- Fix again UEFI for mini package
- Drop one more undesirable Obsoletes/Provides. This should have
been a Conflicts. (There was already a Conflicts, and since
Conflicts go both ways, we won't need a second one.)
- No UEFI for systemd-mini
- Add 2 upstream patches to fix boo#949574 and bsc#932284
0001-Make-sure-the-mount-units-pulled-by-RequiresMountsFo.patch
0002-units-enable-waiting-for-unit-termination-in-certain.patch
- Disable systemd-boot on aarch64 since it fails to build.
Error while compiling src/boot/efi/util.o is:
usr/include/efi/aarch64/efibind.h:2:20: fatal error: stdint.h: No such file
or directory
- Fix UEFI detection logic: basically we let configure.ac figure out
if UEFI is supported by the current build environment. No need to
clutter the spec file with a new conditionnal %has_efi.
- Provide systemd-bootx64.efi (aka gummiboot)
- Modify patch tty-ask-password-agent-on-console.patch to reflect
the changes done for pull request 1432
- Undo Obsoletes/Provides (from Aug 11), creates too big a cycle.
- Provide systemd-sysv-install program/link [bnc#948353]

==== tftp ====

- add a sysconfig file to allow passing parameters to the service
(requested in bsc#951591)
* added tftp.sysconfig

==== ucode-intel ====

- Add ucode-intel-blob subpackage to get the full microcode.dat
directly

==== virt-install ====
Subpackages: virt-manager virt-manager-common

- bsc#Bug 952241 - virt-manager: LibvirtGLib was imported without
specifying a version first.
cde2f0ef-Suppress-gi-warnings-about-lack-of-require_version.patch

==== vm-install ====
Version update (0.8.46 -> 0.8.47)

- bsc#952235 - Error after closing vm window during installation.
- Version 0.8.47

==== wine ====
Version update (1.7.53 -> 1.7.54)
Subpackages: wine-32bit

- Updated to 1.7.54 development snapshot
- Implementation of the TransmitFile function.
- More implementation of the Web Services DLL.
- Improved video decoding.
- Alternative for the deprecated prelink tool.
- Major Turkish translation update.
- Various bug fixes.
- wine-relocate-base.patch: is upstream
- winetricks: updated

==== xen ====
Version update (4.5.1_10 -> 4.5.1_13)
Subpackages: xen-doc-html xen-kmp-default xen-libs xen-tools xen-tools-domU

- Upstream patches from Jan
5604f239-x86-PV-properly-populate-descriptor-tables.patch
561bbc8b-VT-d-don-t-suppress-invalidation-address-write-when-0.patch
561d2046-VT-d-use-proper-error-codes-in-iommu_enable_x2apic_IR.patch
561d20a0-x86-hide-MWAITX-from-PV-domains.patch
561e3283-x86-NUMA-fix-SRAT-table-processor-entry-handling.patch
- bsc#951845 - VUL-0: CVE-2015-7972: xen: x86: populate-on-demand
balloon size inaccuracy can crash guests (XSA-153)
xsa153-libxl.patch
- bsc#950703 - VUL-1: CVE-2015-7969: xen: leak of main per-domain
vcpu pointer array (DoS) (XSA-149)
xsa149.patch
- bsc#950705 - VUL-1: CVE-2015-7969: xen: x86: leak of per-domain
profiling-related vcpu pointer array (DoS) (XSA-151)
xsa151.patch
- bsc#950706 - VUL-0: CVE-2015-7971: xen: x86: some pmu and
profiling hypercalls log without rate limiting (XSA-152)
xsa152.patch
- Dropped
55dc7937-x86-IO-APIC-don-t-create-pIRQ-mapping-from-masked-RTE.patch
5604f239-x86-PV-properly-populate-descriptor-tables.patch
- bsc#932267 - VUL-1: CVE-2015-4037: qemu,kvm,xen: insecure
temporary file use in /net/slirp.c
CVE-2015-4037-qemuu-smb-config-dir-name.patch
CVE-2015-4037-qemut-smb-config-dir-name.patch
- bsc#877642 - VUL-0: CVE-2014-0222: qemu: qcow1: validate L2 table
size to avoid integer overflows
CVE-2014-0222-qemuu-qcow1-validate-l2-table-size.patch
CVE-2014-0222-qemut-qcow1-validate-l2-table-size.patch
- bsc#950367 - VUL-0: CVE-2015-7835: xen: x86: Uncontrolled
creation of large page mappings by PV guests (XSA-148)
CVE-2015-7835-xsa148.patch

==== xf86-input-synaptics ====
Version update (1.8.2 -> 1.8.3)

- Update to version 1.8.3
* With Gabriele's fix, the order of fingers on the touchpad doesn't
matter for two-finger scrolling. Previously, only one of the
fingers would trigger scroll events. See
https://bugs.freedesktop.org/show_bug.cgi?id=92622

==== yast2-ntp-client ====
Version update (3.1.19 -> 3.1.20)

- Fixed an error in the "run NTP as daemon" checkbox (bsc#952144)
- 3.1.20

==== yast2-storage ====
Version update (3.1.70 -> 3.1.71)

- Fixed MariaDB/MySQL subvolume path (bsc#952500)
- 3.1.71




Removed packages:
libmediawiki-devel
> libmediawiki1
libmicrohttpd10
zisofs-tools


Added packages:
bundle-lang-common-ca
ghostscript-fonts-grops
libmicrohttpd11
libmtp-udev
--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages